<template>
  <div class="container">
    <p>{{ description }}</p>
    <Textarea v-model="content" autoResize />
  </div>
</template>

<script setup lang="ts">
import { inject, onMounted, ref } from "vue";
// import Dialog from 'primevue/dialog';
import Textarea from 'primevue/textarea';
import Button from 'primevue/button';

// <Textarea v-model="props.textValue" rows="30" cols="80" />

// const props = defineProps(['textValue'])

const dialogRef: any = inject("dialogRef");

let params: { description: string, content: string };
const description = ref("");
const content = ref("");
// {{ textValue }}

onMounted(() => {
  params = dialogRef.value.data;
  description.value = params.description;
  content.value = params.content;
})

</script>
<style scoped>
.container {
  width: 100%;
}

.container textarea {
  width: 100%;
}
</style>
